General reference · Government Verification Sources

South Africa

Department of Home Affairs (DHA)

DHA is South Africa’s official government authority responsible for civil registration, identity management, citizenship, and immigration control. Incode’s platform connects to the National Population Register maintained by the DHA for the verification of identity data and biometrics as part of clients’ verification flows.

Verification Type

Verification Type Supported Document Types Data That Can Be Verified
Data and Face (Face Optional) Identification Card, Driver’s License, Passport Document Number, First Name, Paternal Last Name, Maternal Last Name, Issue Date, Selfie Image (Optional)

Standalone API

POST /omni/process/government-validation?countryCode=ZAF

Request Body

{
"idNumber": "1234567890123",
"issuedAt": "2020-01-15",
"firstName": "NAOMI",
"paternalLastName": "KINGS",
"maternalLastName": "",
"base64Image": "{{selfie_base64}}"
}

Response Body

{
    "valid": true,
    "statusCode": 0,
    "governmentValidation": {
        "recognitionConfidence": {
            "value": "81.0",
            "status": "OK"
        },
        "validationStatus": {
            "value": "0",
            "status": "OK",
            "key": "ok"
        },
        "ocrValidation": [
            {
                "value": "true",
                "status": "OK",
                "key": "documentNumber"
            },
            {
                "value": "true",
                "status": "OK",
                "key": "firstName"
            },
            {
                "value": "true",
                "status": "OK",
                "key": "paternalLastName"
            },
            {
                "value": "true",
                "status": "OK",
                "key": "maternalLastName"
            },
            {
                "value": "true",
                "status": "OK",
                "key": "issueDate"
            }
        ],
        "ocrValidationOverall": {
            "value": "100.0",
            "status": "OK"
        },
        "overall": {
            "value": "81.0",
            "status": "OK"
        }
    }
}

Was this page helpful?